#
# Conditional build:
%bcond_with	tests	# make check (requires BES server)
#
Summary:	CSV module for the OPeNDAP data server
Summary(pl.UTF-8):	Moduł CSV dla serwera danych OPeNDAP
Name:		opendap-csv_handler
Version:	1.0.4
Release:	2
License:	LGPL v2.1+
Group:		Daemons
Source0:	http://www.opendap.org/pub/source/csv_handler-%{version}.tar.gz
# Source0-md5:	50f86e47573d9179efc26f1b125cf2bd
URL:		http://opendap.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.10
%{?with_tests:BuildRequires:	bes >= 3.13.0}
BuildRequires:	bes-devel >= 3.13.0
%{?with_tests:BuildRequires:	cppunit-devel >= 1.12.0}
BuildRequires:	libdap-devel >= 3.13.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
Requires:	bes >= 3.13.0
Requires:	libdap >= 3.13.0
# old name (single v3.5.1 release from 2010)
Obsoletes:	opendap-csv_module
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the CSV module for the OPeNDAP data server. It serves data
stored in CSV-formatted files.

%description -l pl.UTF-8
Ten pakiet zawiera moduł CSV dla serwera danych OPeNDAP. Serwuje dane
zapisane w plikach w formacie CSV.

%prep
%setup -q -n csv_handler-%{version}

%build
# rebuild autotools for -as-needed to work
%{__libtoolize}
%{__aclocal} -I conf
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/bes/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bes/modules/csv.conf
%attr(755,root,root) %{_libdir}/bes/libcsv_module.so
%dir %{_datadir}/hyrax/data/csv
%{_datadir}/hyrax/data/csv/temperature.csv
%changelog
* Sat Dec 06 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opendap-csv_handler.git;a=log;h=master

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> adcf270
- tarball updated, release 2

* Tue May 13 2014 Jakub Bogusz <qboosh@pld-linux.org> b6069d6
- updated to 1.0.4

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 4f06417
- hyrax/data top dirs belong to bes now

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> f12e2e8
- new

